帖子
按 id 批量获取帖子
GET /v1/tweets reads 1 额度
一次按 id 获取多条帖子,每次最多 20 条,每个 id 计 1 个 credit。id 是帖子链接中 /status/ 后面的数字。
查询参数
| 查询参数 | 类型 | 含义 |
|---|---|---|
ids * | string (comma-separated, ≤ 20) | 逗号分隔的帖子 id,最多 20 个 |
响应
items 按请求顺序保存已解析的帖子;无法解析的 id(已删除、受保护或从未存在)列在 missing 中。 逐字段说明: Tweet(读取).
状态: 200, 400, 429, 502
请求
curl https://api.xsignalfeed.com/v1/tweets?ids=2099875660290228642,2100085873807364122,1234567890123456789 \ -H "Authorization: Bearer xsf_your_key"
响应 · 200 / 400
{
"items": [
{
"id": 2099875660290228642,
"created_ms": 1789484345873,
"user_id": 44196397,
"user": "elonmusk",
"name": "Elon Musk",
"text": "Live demo of building a company with @Grok @Bot!",
"lang": "en",
"reply_to": null,
"reply_to_status_id": null,
"reply_to_user_id": null,
"conversation_id": "2099875660290228642",
"is_rt": false,
"rt_of": null,
"is_quote": true,
"quoted": {
"id": "2099871914655424894",
"user": "poteto",
"name": "lauren",
"user_id": "2832427459",
"text": "going live in about an hour!\n\n…",
"media": [],
"media_items": [],
"created_ms": 1789483452844,
"url": "https://x.com/poteto/status/2099871914655424894"
},
"media": [],
"media_items": [],
"urls": [],
"views": "28720489",
"counts": {
"reply": 2323,
"rt": 2244,
"like": 22995,
"quote": 177,
"bookmark": 3136
},
"article": null,
"edit_of": null,
"edit_ids": [
2099875660290228642
],
"source": "<a href=\"http://twitter.com/download/iphone\" rel=\"nofollow\">Twitter for iPhone</a>"
},
{
"id": 2100085873807364122,
"user": "elonmusk",
"text": "😂🎯",
"…": "…"
}
],
"missing": [
"1234567890123456789"
]
}